MARTe2-core - User story #277

Fix warning in TypeConversion
27.11.2015 15:38 - André Neto

Status: Closed Start date: 27.11.2015
Priority: Normal Due date:
Assignee: % Done: 0%
Category: Estimated time: 0.00 hour
Target version: 0.9 Spent time: 0.00 hour
Git branch (link): SVN commit

(link/?p=rev):
Git merge to develop
(link):
Description

Fix all the compilation warnings related to the TypeConversion tests.

Source code files modified

e Test/GTest/TypeConversionGTest.cpp

Architecture & design review
Date of the review: 25/11/2015
Person who did the review: André Neto

Version of architecture & design document: N/A. As per the original MARTe implementation, this is a support function and does
not require formal design in UML.

Result of review: N/A

List of non-conformities: N/A

Code and documentation review

Date of the review: N/A (Note that only the test file was modified)
Person who did the review: N/A
Result of review: N/A

List of non-conformities: N/A.

Unit test review

Date of the review: 04/12/2015

Person who did the review: R. Vitelli
Result of coverage tests review: PASS
Result of functional tests review: PASS
Result of review: PASS

List of non-conformities: N/A

Associated revisions
Revision 188e1¢59 - 03.12.2015 11:08 - André Neto

#277 All TypeConversion test warnings fixed. Functional tests working.

History

#1 - 03.12.2015 10:33 - André Neto

- Assignee set to André Neto

#2 - 03.12.2015 11:07 - André Neto
- Status changed from Code: Impl to Unit: Rev

#3 - 03.12.2015 11:09 - André Neto
- Description updated
- Assignee deleted (André Neto)

#4 - 04.12.2015 11:10 - Riccardo Vitelli

- Assignee set to Riccardo Vitelli

#5 - 04.12.2015 12:50 - Riccardo Vitelli
- Description updated
- Status changed from Unit: Rev to Closed

- Assignee deleted (Riccardo Vitelli)

#6 - 07.12.2015 18:43 - André Neto
Merged with develop in commit 0843d94cd7d56acc9f62814d3dc985d8ef6a89fb
